<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "provider_practice_gmb_verification".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ProviderPracticeGmbVerification".
 *
 * Columns in table "provider_practice_gmb_verification" available as properties of the model,
 * followed by relations of table "provider_practice_gmb_verification" available as properties of the model.
 *
 * @property integer $id
 * @property integer $provider_practice_gmb_id
 * @property integer $gmb_verification_method_id
 * @property string $state
 * @property string $create_time
 *
 * @property GmbVerificationMethod $gmbVerificationMethod
 * @property ProviderPracticeGmb $providerPracticeGmb
 */
abstract class BaseProviderPracticeGmbVerification extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'provider_practice_gmb_verification';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ProviderPracticeGmbVerification|ProviderPracticeGmbVerifications', $n);
    }

    public static function representingColumn()
    {
        return 'state';
    }

    public function rules()
    {
        return array(
            array('provider_practice_gmb_id, gmb_verification_method_id', 'required'),
            array('provider_practice_gmb_id, gmb_verification_method_id', 'numerical', 'integerOnly'=>true),
            array('state', 'length', 'max'=>9),
            array('create_time', 'safe'),
            array('state, create_time', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, provider_practice_gmb_id, gmb_verification_method_id, state, create_time', 'safe', 'on'=>'search'),
        );
    }

    public function relations()
    {
        return array(
            'gmbVerificationMethod' => array(self::BELONGS_TO, 'GmbVerificationMethod', 'gmb_verification_method_id'),
            'providerPracticeGmb' => array(self::BELONGS_TO, 'ProviderPracticeGmb', 'provider_practice_gmb_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'provider_practice_gmb_id' => null,
            'gmb_verification_method_id' => null,
            'state' => Yii::t('app', 'State'),
            'create_time' => Yii::t('app', 'Create Time'),
            'gmbVerificationMethod' => null,
            'providerPracticeGmb' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('provider_practice_gmb_id', $this->provider_practice_gmb_id);
        $criteria->compare('gmb_verification_method_id', $this->gmb_verification_method_id);
        $criteria->compare('state', $this->state, true);
        $criteria->compare('create_time', $this->create_time, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
